**Purpose**: Build your personal knowledge base with [Trilium Notes](https://github.com/zadam/trilium/tree/master).  

```jsx title="docker-compose.yml"
version: '2.1'
services:
  trilium:
    image: zadam/trilium
    restart: always
    environment:
      - TRILIUM_DATA_DIR=/home/node/trilium-data
    ports:
      - "8080:8080"
    volumes:
      - /srv/containers/trilium:/home/node/trilium-data
    networks:
        docker_network:
            ipv4_address: 192.168.5.11
networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true
```

```jsx title=".env"
N/A
```

# Traefik Configuration
```jsx title="notes.bunny-lab.io.yml"
http:
  routers:
    notes:
      entryPoints:
        - websecure
      tls:
        certResolver: letsencrypt
      http2:
      service: notes
      rule: Host(`notes.bunny-lab.io`)

  services:
    notes:
      loadBalancer:
        servers:
          - url: http://192.168.5.11:8080
        passHostHeader: true
```