**Purpose**:
This document outlines some of the prerequisites as well as deployment process for an dedicated Valheim server.

## Prerequisites
We need to install the Visual C++ Redistributable for both x86 and x64

- [Download Visual C++ Redistributable (x64)](https://download.visualstudio.microsoft.com/download/pr/1754ea58-11a6-44ab-a262-696e194ce543/3642E3F95D50CC193E4B5A0B0FFBF7FE2C08801517758B4C8AEB7105A091208A/VC_redist.x64.exe)
- [Download Visual C++ Redistributable (x86)](https://download.visualstudio.microsoft.com/download/pr/b4834f47-d829-4e11-80f6-6e65081566b5/A32DD41EAAB0C5E1EAA78BE3C0BB73B48593DE8D97A7510B97DE3FD993538600/VC_redist.x86.exe)

## SteamCMD Deployment Script
You will need to make a folder somewhere on the computer, such as the desktop, and name it something like "ARK Updater", then put the following script into it.  You will need to run this script before you can proceed to the next step.

```jsx title="C:\Users\nicole.rappe\Downloads\SteamCMD\Update_Server.bat"
@echo off
steamcmd.exe +force_install_dir "C:\Valheim_Dedicated_Server" +login anonymous +app_update 896660 -beta public validate +quit
```

## Launch Script
Now you need to configure a launch script to actually start the dedicated server.  This can be placed anywhere, but I suggest putting it into `C:\asaserver\ShooterGame\Saved` along with the world save data.

```jsx title="C:\valheim_dedicated_server\Launch_Server.bat"
@echo off
set SteamAppId=892970

echo "Starting server PRESS CTRL-C to exit"

valheim_server -nographics -batchmode -name "Bunny Lab" -port 2456 -world "Dedicated" -password "SomethingVerySecure" -crossplay -saveinterval 300 -backups 72 -backupshort 600 -backuplong 21600
```

!!! warning "Launch Script Considerations"
    - Make a local copy of this script to avoid it being overwritten by steam.
    - Minimum password length is 5 characters & Password cant be in the server name.
    - You need to make sure the ports TCP/UDP 2456-2457 is being forwarded to your server through your server VM & firewall.