---
draft: false 
date: 2024-12-15
updated: 2024-12-15
authors:
  - nicole
links:
  - Servers/Virtualization/OpenStack/Ansible Openstack.md
  - Servers/Virtualization/OpenStack/Canonical OpenStack.md
categories:
  - Virtualization
  - Containers
tags:
  - OpenStack
  - Ansible
---

# Openstack Frustrations
So, I want to start with a little context.  As part of a long-standing project I have been working on, I have tried to deploy OpenStack.  OpenStack is sort of envisioned as "Infrastructure as a Service (IAAS)".  Basically you deploy an OpenStack cluster, which can run its own KVM for virtual machine and containers, or it can interface with an existing Hypervisor infrastructure, such as Hyper-V.  In most cases, people branch out the "Control", "Compute", and "Storage" roles into different physical servers, but in my homelab, I have been attempting to deploy it via a "Converged" model, of having Control, Compute, and Storage on each node, spanning a high-availability cluster of 3 nodes.

## The Problem
The problems come into the overall documentation provided for deploying either [Canonical Openstack](https://ubuntu.com/openstack/install) which I have detailed my frustrations of the system in my own attempted re-write of the documentation [here](https://docs.bunny-lab.io/Servers/Virtualization/OpenStack/Canonical%20OpenStack/).  I have also attempted to deploy it via [Ansible OpenStack](https://docs.openstack.org/project-deploy-guide/openstack-ansible/2024.1/), whereas my documentation thus far in my homelab is visible [here](https://docs.bunny-lab.io/Servers/Virtualization/OpenStack/Ansible%20Openstack/).

You see, OpenStack is like icecream, it has many different ways to deploy it, and it can be as simple, or as overtly-complex as you need it to be, and it scales *really well* across a fleet of servers in a datacenter.  My problems come in where the Canonical deployment has never worked fully / properly, and their own development team is hesitant to recommend the current documentation, and the Ansible OpenStack deployment process, while relatively simple, requires a base of existing knowledge that makes translating the instructions into more user-friendly instructions in my homelab documentation a difficult task.  Eventually I want to automate much of the process as much as I can, but that will take time.

The common issue I've seen while trying to deploy OpenStack is understanding the networking, how networking is configured, network bridges, etc.  The process is different based on the deployment method (Currently trying to deploy it via OpenStack Ansible).  Hopefully in the near future I will make some kind of breakthrough in the deployment process and get everything working.

I will post an update later if I figure things out!